%define api 1.0
%define major 4
%define libname %mklibname fm %{major}
%define devname %mklibname fm -d

Summary:	GIO-based library for file manager-like programs
Name:		libfm
Version:	1.2.5
Release:	1
License:	GPLv2+
Group:		File tools
Url:		http://pcmanfm.sourceforge.net/
Source0:	http://dfn.dl.sourceforge.net/sourceforge/pcmanfm/%{name}-%{version}.tar.xz
Patch0:		libfm-0.1.5-set-cutomization.patch
Patch1:		libfm-1.2.3-use-common-desktop-menu.patch
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	vala
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libmenu-cache)
Conflicts:	lxshortcut < 1.2.0
Provides:	lxshortcut = %{EVRD}

%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or 
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote 
filesystems supported by gvfs.

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/libfm/libfm.conf
%{_bindir}/libfm-pref-apps
%{_bindir}/lxshortcut
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ui
%dir %{_datadir}/%{name}/images
%{_datadir}/applications/lxshortcut.desktop
%{_datadir}/%{name}/archivers.list
%{_datadir}/%{name}/terminals.list
%{_datadir}/%{name}/ui/*
%{_datadir}/applications/libfm-pref-apps.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/images/*.png
%{_mandir}/man1/libfm-pref-apps.1.*
%{_mandir}/man1/lxshortcut.1.*
%{_libdir}/%{name}/modules/*.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
GIO-based library for file manager-like programs.

%files -n %{libname}
%{_libdir}/libfm-gtk.so.%{major}*
%{_libdir}/libfm.so.%{major}*
%{_libdir}/libfm-extra.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Developement files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains header files needed when building applications based on
%{name}.

%files -n %{devname}
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}-%{api}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}-%{api}/*.h
%{_libdir}/libfm-gtk.so
%{_libdir}/libfm.so
%{_libdir}/libfm-extra.so
%{_libdir}/pkgconfig/libfm-gtk.pc
%{_libdir}/pkgconfig/libfm-extra.pc
%{_libdir}/pkgconfig/libfm.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
sed -i "s:-Werror::" configure.ac || die
autoreconf -fi
%define Werror_cflags %nil
%configure2_5x \
	--enable-udisks \
	--disable-static \
	--with-gtk=2
# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

#some hack for avoid upgrade error
#copy all in libfm-1.0 in includedir to libfm instead symlink, rather early it is true
rm -f %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -f %{buildroot}%{_includedir}/%{name}-%{api}/* %{buildroot}%{_includedir}/%{name}/

%find_lang %{name}

%changelog

* Sun Apr 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.5-1
- (528e6d6) New version 1.2.5
- (528e6d6) Drop merged lxde-only patch

* Mon Mar 06 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.2.4-4
- (1726e56) Dtop static libs

* Fri Feb 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.4-3
- (85d166e) MassBuild#1257: Increase release tag

* Fri Dec 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.4-2
- (20f2f04) MassBuild#1190: Increase release tag

* Sat Aug 27 2016 Alzim <alzim@bk.ru> 1.2.4-1
- (f1ccd16) Updated to 1.2.4

* Mon Dec 07 2015 Denis Silakov <dsilakov@gmail.com> 1.2.3-2
- (5363ae4) Move to contrib

* Sat Dec 05 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.2.3-1
- (db4c078) Updated to 1.2.3

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.2.0-3
- (d3a8725) MassBuild#440: Increase release tag

* Wed May 14 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.0-2
- (83b06e1) Spec cleanup

* Thu Mar 20 2014 akdengi <kazancas@mandriva.ru> 1.2.0-1
- (12d88ea) SILENT try avoid ABF build error
- (akdengi: db9b24e) fix
- (akdengi: f18061e) SILENT fix spec error
- (akdengi: 795e7be) Add pkgconfig(libexif) to BR
- (akdengi: 935d1fe) update to 1.2.0

* Tue Nov 05 2013 akdengi <kazancas@mandriva.ru> 1.1.2.2-1
- (f13bcc7) update to 1.1.2.2

* Tue Nov 05 2013 akdengi <kazancas@mandriva.ru> 1.1.2-1
- (5247011) update to 1.1.2
- (akdengi: cefec8b) Update to 1.1.2

* Mon Jul 22 2013 akdengi <kazancas@mandriva.ru> 1.1.1-5
- (8f5e6df) drop p100
- (akdengi: a4d8338) libfm 1.1.1

* Wed Jan 16 2013 akdengi <kazancas@mandriva.ru> 1.1.0-5
- (e6d2f3d) revert to gtk2 build

* Wed Jan 16 2013 akdengi <kazancas@mandriva.ru> 1.1.0-4
- (e1ae33a) revert to gtk2 build

* Wed Dec 26 2012 Alexander Khryukin <alexander@mezon.ru> 1.1.0-3
- (b564551) repoclosure fix

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-2
- (0244ecf) fix error with devel package
- (akdengi: f966192) obsoletes libfm < 1.1.0

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
- (b832338) pkgconfig
- (akdengi: 67fd136) fix include dir
- (akdengi: 4a0be17) fix include
- (akdengi: 9668267) fix include dir
- (akdengi: 0ad029b) fix include dir
- (akdengi: 289ce7a) s/gtk/gtk3/
- (Alexander Kazancev: 5fd0eae) Drop gtk-doc


